Subject: Re: Stupid stupid question :/
From: [email-masked] ("A. Phillip Smith")

21 Mar 1997 21:55:28 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Ismael  Jurado)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Ismael  Jurado" at Mar 21, 97 11:30:25 am
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Actually, ignoring the spawn/CreateProcess problems, the
use of gnu-win32 to build even vanilla Win32 programs is
limited. I was unable to get windows subsystem programs to
execute by just adding a simple call to 'WritePrivateProfileSection'
in a callback function to update a .CFG file.

Removing that simple statement allows the GUI program to execute,
while adding it causes it to die silently. Note that the problem has
to do with code generation or environment, since it is invoked in
the callback, it should only cause runtime troubles when it is
actually executed. As things stand, the application window is
never generated when that 1 line is added.

Phil

> 
> >Linking applications with  --Wl,subsystem,windows is easy, but
> >with the fork-exec problems, how do you spawn a child process ?
> >The system command works, but it triggers the pop-up window, I assume
> >there would have to be a windows version of bash built, since those
> >commands are run from a shell ...
> 
> Well, actualy I´m not trying to solve those caveats.I use gnu-win32 to develop
> Windows applications, and by itself its very dificult. In my humble opinion, in
> the
> state-of-the-art of the projet, you can develop UNIX-like programs or
> WIN32 programs, but convining both...
> 
> Ismael Jurado <[email-masked]>
> 
> ---------------------------------------------------------
> Get Your *Web-Based* Free Email at http://www.hotmail.com
> ---------------------------------------------------------
> 

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".